<!doctype html>
<html lang="en">

<head>
    <title>zarums JS</title>
    <link rel="shortcut icon" href="//cdn.zarums.tk/ico/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="/static/css/main.css">
    <link rel="stylesheet" href="//cdn.zarums.tk/css/bootstrap.min.css">
    <script src="//cdn.zarums.tk/js/jquery.min.js"></script>
    <script src="//cdn.zarums.tk/js/bootstrap.min.js"></script>
</head>

<body>
    <!-- application stages -->
    <div class="container" id="gui__sign_in">
        <div class="row vcent">
            <div class="col-auto">
                <div class="form-group row">
                    <div class="ml-auto mr-auto">
                        <span class="mx-auto text-dark">zarums</span>
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text bg-warning text-dark br-warning" id="si_u_"><i data-feather="user"></i></span>
                        </div>
                        <input disabled type="text" class="form-control br-warning btn-outline-warning" aria-describedby="si_u_" required id="si_u">
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text bg-warning text-dark br-warning" id="si_p_"><i data-feather="lock"></i></span>
                        </div>
                        <input disabled type="password" class="form-control br-warning btn-outline-warning" aria-describedby="si_p_" required id="si_p">
                    </div>
                </div>
                <div class="row">
                    <div class="ml-auto mr-auto">
                        <button disabled onclick="sign_in();" class="btn btn-warning" id="si_b">
                            Sign in
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container" id="gui__sign_up" hidden>
        <span>sign up form is under development</span>
    </div>
    <div id="gui__chats" class="container-fluid" hidden>
        <div id="chat_list" class="row">
        </div>
        <div id="room" class="row" hidden>
            <div id="room_header" class="border-bottom border-secondary bg-light">
                <a class="btn btn-light p-1 pl-2 pr-2 m-1" href="javascript:lc()">
                    <i data-feather="menu" class="my-auto"></i>
                </a>
                <h3 class="text-dark mt-0 pt-1 mb-2 mr-2"> | </h3>
                <div class="my-auto text-dark" id="room_name_block">
                    <i data-feather="book" class="my-auto"></i>
                    <span id="this_room_name" class="my-auto"></span>
                </div>
                <a id="btn__room_menu" class="ml-auto mr-0 btn btn-light p-1 pl-2 pr-2 m-1">
                    <i data-feather="more-vertical"></i>
                </a>
            </div>
            <div hidden id="room_menu" class="top_sizer border">
                <a id="btn__room_rename" class="room_menu_entry btn btn-light m-1">
                    <i data-feather="edit" class="my-auto"></i> Rename room
                </a>
                <!--<a class="room_menu_entry btn btn-light mx-1 mb-1">
                    example entry
                </a>
                <a class="room_menu_entry btn btn-light mx-1 mb-1">
                    example entry
                </a>-->
            </div>
            <div id="msg_list" class="top_sizer mb-1 border-bottom">
            </div>
            <div class="pl-2 pr-2 pb-2" id="send_input">
                <div class="input-group">
                    <input id="msg" type="text" class="form-control h-auto" placeholder="Your message" aria-describedby="button-send">
                    <div class="input-group-append">
                        <button class="btn btn-outline-primary no-padding" type="button" id="button-send" onclick="javascript:sendm()">
                            <i class="text-small" data-feather="send"></i>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- modals -->
    <div id="modal__wasm" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title text-warning">
                        <i data-feather="alert-triangle"></i> Performance issue
                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
                </div>
                <div class="modal-body">
                    <p>
                        You're using browser without WebAssembly acceleration. For better experience we suggest you to update your browser or enable WASM feature. Without it all encryption processes will be slow!
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div id="modal__login" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title text-danger">
                        <i data-feather="alert-circle"></i> Login error
                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
                </div>
                <div class="modal-body">
                    <p>
                        Provided password can't be used for decryption of user keys. Check inputs and try again.
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div id="modal__server" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title text-danger">
                        <i data-feather="cloud-off"></i> Server Error
                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
                </div>
                <div class="modal-body">
                    <p>
                        API server unavailable or user data not found on server. Check inputs and try again.
                    </p>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="modal__rename_room" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Change room title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="new_title" class="col-form-label">New room title:</label>
                        <input type="text" class="form-control" id="new_title">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="modal__rename_room__save_btn">Save</button>
                </div>
            </div>
        </div>
    </div>
    <div id="modal__old_client" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title text-danger">
                        <i data-feather="alert-octagon"></i> Old JS
                    </h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
                </div>
                <div class="modal-body">
                    <p>
                        Browser downloaded old script; Please clear its cache and refresh this page.
                    </p>
                </div>
            </div>
        </div>
    </div>

    <script async src="//cdn.zarums.tk/js/feather.min.js"></script>
    <script async src="//cdn.zarums.tk/js/popper.min.js"></script>
    <script async src="//cdn.zarums.tk/js/sodium.js"></script>
    <script src="/static/js/main.js"></script>
</body>

</html>